<div class="title">
  <img [src]="championData.imageUrl" alt="square image of the champion">
  <h1>
    <span *ngIf="isConnected" (click)="changefavorite()">
      <fa-icon id="favoriteIcon" [icon]="favoriteIcon"></fa-icon>
    </span>
    {{championData.name}}
  </h1>
  <p>{{championData.tags}}</p>
</div>

<nav ngbNav #nav="ngbNav" class="nav-tabs">
  <ng-container ngbNavItem>
    <a ngbNavLink><fa-icon [icon]="faAtlas"></fa-icon> Presentation</a>
    <ng-template ngbNavContent>
      <app-champion-info-presentation [lore]="championData.lore" [skins]="championData.skins"></app-champion-info-presentation>
    </ng-template>
  </ng-container>

  <ng-container ngbNavItem>
    <a ngbNavLink><fa-icon [icon]="faFistRaised"></fa-icon> Spells</a>
    <ng-template ngbNavContent>
      <app-champion-info-spell [passive]="championData.passive" [spells]="championData.spells" [partype]="championData.partype"></app-champion-info-spell>
    </ng-template>
  </ng-container>

  <ng-container ngbNavItem>
    <a ngbNavLink><fa-icon [icon]="faDiceD20"></fa-icon> Recommended items</a>
    <ng-template ngbNavContent>
      <div *ngFor="let mode of championData.recommended">
        <app-champion-info-recommended-item [recommendedItem]="mode"></app-champion-info-recommended-item>
      </div>
    </ng-template>
  </ng-container>

  <ng-container ngbNavItem>
    <a ngbNavLink><fa-icon [icon]="faInfoCircle"></fa-icon> Tips</a>
    <ng-template ngbNavContent>
      <app-champion-info-tips [championName]="championData.name" [allytips]="championData.allytips" [enemytips]="championData.enemytips"></app-champion-info-tips>
    </ng-template>
  </ng-container>
</nav>

<div [ngbNavOutlet]="nav" class="mt-2"></div>
